<?php include_once '../../autoload.php';

$tipo_pagamento = filter_input(INPUT_POST, 'tipo_pagamento');
$ingresso_selecionado = filter_input(INPUT_POST, 'ingresso_selecionado');

$verifica_compra = (new IngressoParticipante)->and('ingresso_participante_participante', $_SESSION['usuario_id'])->consultar();
if ($verifica_compra->ingresso_participante_id != '') {
    $ingresso_participante_id = $verifica_compra->ingresso_participante_id;
    if ($verifica_compra->forma_pagamento_nome == 'Pix') {
        include_once '../pagamento/pix.php';
    } else { ?>
        <h2 class="text-center text-dark">
            Já existe uma doação registrada.
        </h2>

        <h3 class="text-center text-dark">
            Leve sua doação a um ponto de coleta. <br>
            Caso queira mudar para a doação procure um de nossos atendentes<br><br><br>
            Doação escolhida: <?= $verifica_compra->forma_pagamento_nome ?><br>
            Status: <?= ($verifica_compra->ingresso_participante_status == 'Aberto' ? '<span class="text-danger">Aguardando Coleta</span>' : '<span class="text-success">Coleta realizada</span>') ?>
        </h3>
<?php }
} else {
    switch ($tipo_pagamento) {
        case 'Pix':
            include_once 'pix.php';
            break;
        default:
            include_once 'alimento.php';

            break;
    }
}
